<app-menu></app-menu>
<div class="container mat-elevation-z8">
        
        <div class="row">
                <mat-toolbar color="primary">
                <span>CRUD Sala</span>
                </mat-toolbar>
        </div>

        <div class="row" style="margin-top: 3%;">
                <mat-form-field class="col-md-4">
                        <mat-label>Número Aula</mat-label>
                        <input matInput [(ngModel)]="filtro">
                </mat-form-field>

                <button mat-raised-button color="primary" type="button" (click)="consultaSala()"
                class="btn btn-primary btn-sm" id="id_btn_filtrar" style="width: 150px">Filtrar</button>
                <button mat-raised-button color="primary" type="button" (click)="openAddDialog()" class='btn btn-primary btn-sm'
                style="width: 150px">Registrar</button>
        </div>

        <div class="row" style="margin-top: 3%;padding: 1%;">
                <mat-table #table class="mat-cell" [dataSource]="dataSource">
                        <ng-container matColumnDef="idSala">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>ID</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.idSala }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="numero">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Aula</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.numero }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="recursos">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Piso</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.recursos }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="fechaRegistro">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Fecha Registro</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.fechaRegistro | date:"dd/MM/yy" }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="fechaActualizacion">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Fecha Actualización</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.fechaActualizacion | date:"dd/MM/yy"}}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="estado">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Estado</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.estado == 1 ? "Activo" : "Inactivo" }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="tipoSala">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Tipo Sala</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.tipoSala!.descripcion }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="sede">
                                <mat-header-cell mat-header-cell *matHeaderCellDef>Sede</mat-header-cell>
                                <mat-cell *matCellDef="let aux">{{ aux.sede!.descripcion }}</mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="acciones">
                                <mat-header-cell mat-header-cell *matHeaderCellDef >&nbsp;</mat-header-cell>
                                <mat-cell *matCellDef="let aux; let i=index;">
                                  <div class="cusstom-control custom-switch" >
                                    <input type="checkbox" class="custom-control-input" id="idEstado_{{ aux.idSala }}" name="estado"
                                      [checked]="aux.estado==1?true:false" 
                                      (change)="actualizaEstado(aux)" />
                                    <label class="custom-control-label" for="idEstado_{{ aux.idSala }}"></label>
                                  </div>
                                  <button mat-icon-button color="accent" (click)="openUpdateDialog(aux)">
                                    <mat-icon aria-label="Edit">edit</mat-icon>
                                  </button>
                                  <button mat-icon-button color="accent" (click)="elimina(aux)">
                                    <mat-icon aria-label="Delete">delete</mat-icon>
                                  </button>
                                </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                      <mat-row *matRowDef="let aux; columns: displayedColumns"></mat-row>

                </mat-table>
                <mat-paginator [pageSizeOptions]="[6,8,10]" showFirstLastButtons>
                </mat-paginator>
        </div>
</div>
